public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libtracefs/
Date: Fri, 23 Aug 2024 12:35:43 +0000 (UTC)	[thread overview]
Message-ID: <1724416411.79450047d9fe0858cd39ada583520f5d2d15d11c.dlan@gentoo> (raw)

commit:     79450047d9fe0858cd39ada583520f5d2d15d11c
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 23 12:09:40 2024 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Fri Aug 23 12:33:31 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79450047

dev-libs/libtracefs: add 1.8.1

Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 dev-libs/libtracefs/Manifest                |  1 +
 dev-libs/libtracefs/libtracefs-1.8.1.ebuild | 51 +++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-libs/libtracefs/Manifest b/dev-libs/libtracefs/Manifest
index fcc9ea55ab68..666668a135ed 100644
--- a/dev-libs/libtracefs/Manifest
+++ b/dev-libs/libtracefs/Manifest
@@ -1,2 +1,3 @@
 DIST libtracefs-1.7.0.tar.gz 205716 BLAKE2B 7e11ed75e65ddfb6e95fa67db2d3a3000e722108b6cb9d8efe7f057bf96afa608f0452e42090dab077b59044d3cbaebf2e4361812b994943964ea611b0ec6a49 SHA512 8b95c798a9013c0278da1c68ab4625446e1cc9d437eed91a6ce16660e7787f0af04ab65ce0dba536039f2facca39c50df5e45335b1af630e7bcce70b584e2f0c
 DIST libtracefs-1.8.0.tar.gz 224662 BLAKE2B 06ee6872ec5cd6c671ee2ddd3de19356ffa560b3ae20318e36be6a95bfe37bf61233841e32c530ab0a3463d13dd57ff1b09bba296663b25d76da2a2ea3e89f51 SHA512 2d9728186de63f03a2222d56efe6b373c038519ad1e81dd10d97640c296696df6b0661743dcd9e851edda5225342ea10a8746434439f7ad878e26780b797eb6c
+DIST libtracefs-1.8.1.tar.gz 225995 BLAKE2B cb4f491464d54f1271591cdc5ed61fa67f49e63b94ff91162e3b4f59387d3f27d866e288b69dacdbea7c145989d50e8c00e3f63b066eef93164a8748c535420d SHA512 1d8775cf511982a99e2dd17afcf48da272ff8ec189710a27420befe8765155ed21fd62db8fb2b75a0965e0a52ef810459c826f9b4989093c6a64d0cb7894cfca

diff --git a/dev-libs/libtracefs/libtracefs-1.8.1.ebuild b/dev-libs/libtracefs/libtracefs-1.8.1.ebuild
new file mode 100644
index 000000000000..151fb60d926f
--- /dev/null
+++ b/dev-libs/libtracefs/libtracefs-1.8.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2019-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Linux kernel trace file system library"
+HOMEPAGE="https://git.kernel.org/pub/scm/libs/libtrace/libtracefs.git/"
+
+if [[ ${PV} =~ [9]{4,} ]]; then
+	EGIT_REPO_URI="git://git.kernel.org/pub/scm/libs/libtrace/libtracefs.git/"
+	inherit git-r3
+else
+	SRC_URI="https://git.kernel.org/pub/scm/libs/libtrace/libtracefs.git/snapshot/${P}.tar.gz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+
+# Please double check the minimum libtraceevent version!
+RDEPEND="
+	>=dev-libs/libtraceevent-1.8.1
+"
+DEPEND="${RDEPEND}"
+# source-highlight is needed, see bug https://bugs.gentoo.org/865469
+BDEPEND="
+	app-text/asciidoc
+	app-text/xmlto
+	dev-util/source-highlight
+	app-alternatives/yacc
+	app-alternatives/lex
+	virtual/pkgconfig
+"
+
+src_configure() {
+	local emesonargs=(
+		-Dasciidoctor=false
+		-Ddoc=false
+	)
+
+	# TODO: get docs & tests optional upstream
+	meson_src_configure
+}
+
+src_install() {
+	meson_src_install
+
+	find "${ED}" -type f -name '*.a' -delete || die
+}


             reply	other threads:[~2024-08-23 12:35 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-23 12:35 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-31 21:29 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libtracefs/ Sam James
2024-10-30 15:46 Arthur Zamarin
2024-10-26  3:49 Sam James
2024-10-26  1:16 Sam James
2024-10-25 22:31 Sam James
2024-10-25 22:31 Sam James
2024-08-26  0:03 Yixun Lan
2024-05-30  7:53 Yixun Lan
2024-03-13  4:48 Sam James
2024-03-10 23:21 Jakov Smolić
2024-03-10 20:00 Arthur Zamarin
2024-03-10 20:00 Arthur Zamarin
2024-03-10 19:52 Arthur Zamarin
2024-03-10 19:52 Arthur Zamarin
2024-02-11  8:45 Yixun Lan
2024-02-04 21:42 Ionen Wolkens
2023-07-11 11:03 WANG Xuerui
2023-07-05 21:41 Sam James
2023-07-05 21:41 Sam James
2023-07-05 20:53 Sam James
2023-06-10  9:12 Sam James
2023-01-19 22:51 Yixun Lan
2023-01-19 22:51 Yixun Lan
2023-01-13  6:39 Sam James
2023-01-11  8:03 Arthur Zamarin
2022-12-22  6:12 Yixun Lan
2022-12-20  1:56 Yixun Lan
2022-11-19  1:05 Yixun Lan
2022-10-08  1:54 Yixun Lan
2022-09-02 13:59 Yixun Lan
2022-08-18 18:43 Sam James
2022-07-29 12:12 Arthur Zamarin
2022-06-16 16:58 Patrick McLean

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1724416411.79450047d9fe0858cd39ada583520f5d2d15d11c.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox